
---
-- Autonomous Ground Force Tasking basic example script
-- https://github.com/birgersp/dcs-autogft
--
-- Lines beginning with "--" are comments and does not affect the code
-- Put the standalone script and this script in "do script file" actions in a mission start trigger
-- Remember to re-load this script to your mission after you have edited it, it is not necessary to re-load the standalone
-- Comments above code blocks explain what the code is doing



--- 
-- (BLUE TASK FORCE)
-- Adding base zone(s)
-- Adding control zone(s)

autogft_Setup:new()
  :addBaseZone("BLUE_BASE1")
  :setReinforceTimerMax(1200)
  :setAdvancementTimer(120)
  :startUsingRoads()
  :addControlZone("CONTROL3")
  :addControlZone("CONTROL2")
  :setSpeed(8)
  :stopUsingRoads()
  :addControlZone("CONTROL1")
  
  -- (RED TASK FORCE)
  
  autogft_Setup:new()
  :addBaseZone("RED_BASE")
  :setReinforceTimerMax(660)
  :setAdvancementTimer(180)
  :startUsingRoads()
  :addControlZone("CONTROL1")
  :addControlZone("CONTROL2")
  :stopUsingRoads()
  :addControlZone("CONTROL4")